View Issue Details

IDProjectCategoryView StatusLast Update
0024931mantisbtsignuppublic2018-11-12 08:18
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityblockReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version2.19.0 
Target Version2.19.0Fixed in Version2.19.0 
Summary0024931: PHP warnings and errors when trying to signup existing user
Description

After trying to signup an existing user on mantisbt.org, page display stops after display of logged in user.

PHP error log shows

[03-Nov-2018 16:01:58 America/New_York] PHP Warning:  811 in .../core/user_api.php on line 896
[03-Nov-2018 16:01:58 America/New_York] PHP Warning:  811 in .../core/user_api.php on line 896
[03-Nov-2018 16:01:58 America/New_York] PHP Fatal error:  0 in .../core/authentication_api.php on line 99

Expected behavior:
Show APPLICATION ERROR # 800

TagsNo tags attached.

Relationships

related to 0023712 resolvedvboctor auth_get_current_user_id can return strings while that is not expected 

Activities

atrol

atrol

2018-11-03 16:10

developer   ~0060910

Regression introduced in 0023712.

atrol

atrol

2018-11-03 16:13

developer   ~0060911

Display of logged in user



LoggedInUser.png (7,948 bytes)
LoggedInUser.png (7,948 bytes)
atrol

atrol

2018-11-10 15:01

developer   ~0060944

PR https://github.com/mantisbt/mantisbt/pull/1407

dregad

dregad

2018-11-12 04:29

developer   ~0060945

Increasing severity, as this bug not only prevents new user signup, but also password reset for existing users.

Related Changesets

MantisBT: master a5847f5f

2018-11-10 14:52:41

atrol

Details Diff
Treat cached user id always as int

Fixes 0024931
Affected Issues
0024931
mod - core/authentication_api.php Diff File

Issue History

Date Modified Username Field Change
2018-11-03 16:08 atrol New Issue
2018-11-03 16:08 atrol Status new => assigned
2018-11-03 16:08 atrol Assigned To => vboctor
2018-11-03 16:09 atrol Relationship added related to 0023712
2018-11-03 16:10 atrol Note Added: 0060910
2018-11-03 16:11 atrol Description Updated View Revisions
2018-11-03 16:13 atrol File Added: LoggedInUser.png
2018-11-03 16:13 atrol Note Added: 0060911
2018-11-10 15:01 atrol Assigned To vboctor => atrol
2018-11-10 15:01 atrol Note Added: 0060944
2018-11-12 04:29 dregad Severity major => block
2018-11-12 04:29 dregad Note Added: 0060945
2018-11-12 08:18 atrol Changeset attached => MantisBT master a5847f5f
2018-11-12 08:18 atrol Status assigned => resolved
2018-11-12 08:18 atrol Resolution open => fixed
2018-11-12 08:18 atrol Fixed in Version => 2.19.0